ServerEvents.recipes((event) => {
  const greg = event.recipes.gtceu;
  event.remove({ id: "projecte:destruction_catalyst" });
  event.remove({ id: "projecte:hyperkinetic_lens" });
  event.remove({ id: "projecte:catalytic_lens" });
  event.remove({ id: "projecte:alchemical_coal" });
  event.remove({ id: "projecte:mobius_fuel" });
  event.remove({ id: "projecte:aeternalis_fuel" });
  event.remove({ id: "projectexpansion:magenta_fuel" });
  event.remove({ id: "projectexpansion:pink_fuel" });
  event.remove({ id: "projectexpansion:purple_fuel" });
  event.remove({ id: "projecte:philosophers_stone" });
  event.remove({ id: "projecte:low_covalence_dust" });
  event.remove({ id: "projecte:medium_covalence_dust" });
  event.remove({ id: "projecte:high_covalence_dust" });
  event.remove({ id: "projecte:dm_furnace" });
  event.remove({ id: "projecte:rm_furnace" });
  event.remove({ id: "" });
	//catalyst
  greg
    .assembler("projecte:destruction_catalyst")
    .itemInputs("16x projecte:nova_catalyst")
    .itemInputs("32x projecte:mobius_fuel")
    .itemInputs("minecraft:flint_and_steel")
    .itemInputs("extendedcrafting:the_ultimate_catalyst")
    .itemOutputs("projecte:destruction_catalyst")
    .duration(600)
    .EUt(8192);
	
  greg
    .assembler("projecte:hyperkinetic_lens")
    .itemInputs("16x projecte:nova_catalyst")
    .itemInputs("8x projecte:aeternalis_fuel")
    .itemInputs("8x gtceu:exquisite_diamond_gem")
    .itemInputs("extendedcrafting:the_ultimate_catalyst")
    .itemOutputs("projecte:hyperkinetic_lens")
    .duration(600)
    .EUt(8192);
	
  greg
    .assembler("projecte:catalytic_lens")
    .itemInputs("projecte:hyperkinetic_lens")
    .itemInputs("projecte:destruction_catalyst")
    .itemInputs("4x projecte:nova_catalyst")
    .itemInputs("8x projecte:dark_matter")
    .itemOutputs("projecte:catalytic_lens")
    .duration(600)
    .EUt(8192);
	//furnaces
	
  greg
    .assembler("projecte:dm_furnace")
    .itemInputs("16x projecte:dark_matter_block")
    .itemInputs("ironfurnaces:netherite_furnace")
    .itemOutputs("projecte:dm_furnace")
    .duration(600)
    .EUt(2048);
	
  greg
    .assembler("projecte:rm_furnace")
    .itemInputs("8x projecte:red_matter_block")
    .itemInputs("projecte:dm_furnace")
    .itemOutputs("projecte:rm_furnace")
    .duration(600)
    .EUt(8192);
	//fuel
	
  greg
    .compressor("projecte:alchemical_coal")
    .itemInputs("minecraft:coal_block")
    .itemOutputs("2x projecte:alchemical_coal")
    .duration(200)
    .EUt(32);
	
  greg
    .compressor("projecte:mobius_fuel")
    .itemInputs("4x projecte:alchemical_coal")
    .itemOutputs("projecte:mobius_fuel")
    .duration(200)
    .EUt(32);
	
  greg
    .compressor("projecte:aeternalis_fuel")
    .itemInputs("4x projecte:mobius_fuel")
    .itemOutputs("projecte:aeternalis_fuel")
    .duration(200)
    .EUt(32);
	
  greg
    .compressor("projectexpansion:magenta_fuel")
    .itemInputs("4x projecte:aeternalis_fuel")
    .itemOutputs("projectexpansion:magenta_fuel")
    .duration(200)
    .EUt(32);
	
  greg
    .compressor("projectexpansion:pink_fuel")
    .itemInputs("4x projectexpansion:magenta_fuel")
    .itemOutputs("projectexpansion:pink_fuel")
    .duration(200)
    .EUt(32);
	
  greg
    .compressor("projectexpansion:purple_fuel")
    .itemInputs("4x projectexpansion:pink_fuel")
    .itemOutputs("projectexpansion:purple_fuel")
    .duration(200)
    .EUt(32);
	//phil stone
	
  greg
    .assembler("projecte:philosophers_stone")
    .inputFluids("gtceu:glowstone 576")
    .itemInputs("4x projectexpansion:purple_fuel")
    .itemInputs("32x projecte:red_matter")
    .itemOutputs("projecte:philosophers_stone")
    .duration(600)
    .EUt(2048);
	//mk2
	
  greg
    .assembler("projecte:condenser_mk2")
    .itemInputs("#gtceu:circuits/hv")
    .itemInputs("projecte:condenser_mk1")
    .itemInputs("2x gtceu:hv_conveyor_module")
    .itemOutputs("projecte:condenser_mk2")
    .duration(300)
    .EUt(512);
	//transmutarion interface
	
  greg
    .assembler("projectexpansion:transmutation_interface")
    .inputFluids("gtceu:glowstone 576")
    .itemInputs("ae2:interface")
    .itemInputs("projecte:condenser_mk2")
    .itemInputs("2x gtceu:hv_conveyor_module")
    .itemOutputs("projectexpansion:transmutation_interface")
    .duration(300)
    .EUt(512);
	//amulets
	
  greg
    .assembler("projecte:evertide_amulet")
    .inputFluids("minecraft:water 16000")
    .itemInputs("4x projecte:dark_matter")
    .itemInputs("2x gtceu:hv_electric_pump")
    .itemOutputs("projecte:evertide_amulet")
    .duration(300)
    .EUt(512);
	
  greg
    .assembler("projecte:volcanite_amulet")
    .inputFluids("minecraft:lava 16000")
    .itemInputs("4x projecte:dark_matter")
    .itemInputs("2x gtceu:ev_electric_pump")
    .itemOutputs("projecte:volcanite_amulet")
    .duration(300)
    .EUt(2048);
	
  greg
    .assembler("projecte:repair_talisman")
    .inputFluids("gtceu:cryolobus 144")
    .itemInputs("4x projecte:red_matter")
    .itemInputs("8x projecte:low_covalence_dust")
    .itemInputs("8x projecte:medium_covalence_dust")
    .itemInputs("8x projecte:high_covalence_dust")
    .itemOutputs("projecte:repair_talisman")
    .duration(300)
    .EUt(131072);
	//dusts
	
  greg
    .chemical_reactor("projecte:low_covalence_dust")
    .inputFluids("gtceu:carbon 144")
    .itemInputs("gtceu:stone_dust")
    .itemOutputs("8x projecte:low_covalence_dust")
    .duration(100)
    .EUt(32);
	
  greg
    .chemical_reactor("projecte:medium_covalence_dust")
    .inputFluids("gtceu:redstone 144")
    .itemInputs("gtceu:iron_dust")
    .itemOutputs("8x projecte:medium_covalence_dust")
    .duration(100)
    .EUt(32);
	
  greg
    .chemical_reactor("projecte:high_covalence_dust")
    .inputFluids("gtceu:carbon 144")
    .itemInputs("gtceu:diamond_dust")
    .itemOutputs("8x projecte:high_covalence_dust")
    .duration(100)
    .EUt(32);
	// books
  greg
    .assembler("projectexpansion:basic_alchemical_book")
    .inputFluids("gtceu:pulsating_alloy 144")
    .itemInputs("waystones:warp_stone")
    .itemInputs("16x projecte:high_covalence_dust")
    .itemInputs("minecraft:book")
    .itemOutputs("projectexpansion:basic_alchemical_book")
    .duration(400)
    .EUt(128);
  greg
    .assembler("projectexpansion:advanced_alchemical_book")
    .inputFluids("gtceu:electrum 576")
    .itemInputs("enderio:weather_crystal")
    .itemInputs("16x projecte:dark_matter")
    .itemInputs("projectexpansion:basic_alchemical_book")
    .itemOutputs("projectexpansion:advanced_alchemical_book")
    .duration(400)
    .EUt(512);
  greg
    .assembler("projectexpansion:master_alchemical_book")
    .inputFluids("gtceu:omnium 144")
    .itemInputs("kubejs:ultimate_gem")
    .itemInputs("projecte:klein_star_omega")
    .itemInputs("projectexpansion:advanced_alchemical_book")
    .itemOutputs("projectexpansion:master_alchemical_book")
    .duration(400)
    .EUt(16384);
	
  greg
    .assembler("projectexpansion:arcane_alchemical_book_xd")
    .inputFluids("gtceu:monium 144")
    .itemInputs("projectexpansion:final_star_shard")
    .itemInputs("kubejs:corrupted_universe_data")
    .itemInputs("projectexpansion:colossal_star_omega")
    .itemInputs("projectexpansion:master_alchemical_book")
    .itemOutputs("projectexpansion:arcane_alchemical_book")
    .duration(2400)
    .EUt(524288);
	
  greg
    .compressor("projectexpansion:infinite_steak")
    .itemInputs("64x minecraft:cooked_beef")
    .itemOutputs("projectexpansion:infinite_steak")
    .duration(2400)
    .EUt(32);
	//stars
	
  greg
    .assembler("projecte:klein_star_ein")
    .inputFluids("gtceu:carbon 144")
    .itemInputs("minecraft:diamond")
    .itemInputs("4x projecte:mobius_fuel")
    .itemOutputs("projecte:klein_star_ein")
    .duration(100)
    .EUt(128);
	
});
